// ************************** NOTE *******************************
// `.sidebar-visible` class added to html when menu is opened
// use it to customize html
// ***************************************************************

//**********************
// LOGIN MENU ICON STYLE
.sidebar-menu-icon {
  position: absolute;
  right: 48px;
  top: 52px;
  z-index: 1001;
  background-color: transparent;
  border-radius: 5px;
  text-align: center;
  font-size: 20px;

  @include media-breakpoint-down(md) {
    background-color: transparent;
    padding: 0;
    border-radius: 0;
    top: 23px;
    right: 16px;
    position: fixed;
  }

  .toggle {
    //position: absolute;
    margin: auto;
    width: 26px;
    height: 24px;
    right: 120px;
    //top: 0;
    //bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
    cursor: pointer;

    .bar {
      position: relative;
      width: 40px;
      height: 2px;
      background: #fff;
      box-shadow: 0 0 1px 0 rgba(9, 30, 66, 0.31), 0 1px 1px 0 rgba(9, 30, 66, 0.25);

      &:before,
      &:after {
        content: '';
        position: absolute;
        width: 100%;
        height: 100%;
        background: inherit;
        left: 0;
        transform-origin: center center;
        transition: transform 0.25s ease, top 0.25s ease, bottom 0.25s ease;
        box-shadow: 0 0 1px 0 rgba(9, 30, 66, 0.31), 0 1px 1px 0 rgba(9, 30, 66, 0.25);
      }

      &:before {
        top: -10px;
      }

      &:after {
        bottom: -10px;
      }
    }

    &.clicked {
      .bar {
        background: transparent;

        &:before,
        &:after {
          background: #fff;
        }

        &:before {
          transform: rotate(45deg);
          top: 0;
        }

        &:after {
          transform: rotate(-45deg);
          bottom: 0;
        }
      }
    }
  }
}

// customize menu icon when sidebar menu is opened
.sidebar-visible {
  .sidebar-menu-icon {
    background-color: transparent;
    color: white;
  }
}

// ****************
// LOGIN MENU STYLE
// Default login menu style - when not opened
.sidebar-container {
  font-family: 'Istok Web', sans-serif;
  color: $nlb-gray-3;
  min-height: calc(100vh);
  height: stretch;
  //height: -webkit-fill-available;
  //height: -moz-available;
  //height: fill-available;
  //@include clipPath;

  width: 0;
  right: 0;
  //margin: -50px 0;
  overflow: hidden;
  //border-radius: 50% 0 0 50%;
  transition: width 0.2s ease-in;
  z-index: 1000;
  top: 0;

  //height: 1150px;
  background: $nlbIndigoColor;
  position: absolute;

  .sidebar-items-container {
    display: none;

    .sidebar-items {
      font-family: $nlb-gray-3;

      .item-link {
        display: block;
        transition: transform 0.25s ease;

        &:hover {
          transform: translateX(-20px);
        }

        a {
          color: $nlb-gray-3;

          &:hover {
            color: $nlb-gray-3;
          }
        }
      }
    }
  }

  .sidebar-close-icon {
    text-align: right;
  }

  .sidebar-additional-links-container {
    margin-top: 30px;

    .sidebar-additional-link {
      a {
        color: inherit;
      }

      display: flex;
      font-size: 18px;
      text-align: right;
      justify-content: flex-end;

      .additional-icon {
        color: white;
        font-size: 16px;
        line-height: 28px;
        margin-left: 14px;
      }
    }
  }

  .social-links-container {
    font-size: 21px;
    display: inline-flex;
    margin-top: 30px;

    .social-link {
      color: white;

      &:not(:last-child) {
        margin-right: 12px;
      }
    }
  }
}

//@-moz-document url-prefix() {
//  .sidebar-container {
//    height: 100%;
//    @include clipPath;
//  }
//}

// When login menu is opened use these styles
.sidebar-visible {
  .sidebar-container {
    .sidebar-items-container {
      margin-right: 130px;

      display: inline-block;
      float: right;
      text-align: right;
      margin-top: 180px;

      .sidebar-items {
        padding: 10px 0;
        font-size: 40px;
      }
    }

    //@include media-breakpoint-down(md) {
    //  -webkit-clip-path: none;
    //  clip-path: none;
    //}

    @media (min-width: 992px) and (max-width: 1439.98px) {
      width: 100%;
    }

    @media (min-width: 1440px) {
      width: 100%;
    }
  }
}

@-moz-document url-prefix() {
  .sidebar-visible {
    .sidebar-container {
      height: 100%;
      //@include clipPath;
    }
  }
}

// SMALL SCREEN
// Login menu small size style
@include media-breakpoint-down(md) {
  .sidebar-container {
    border-radius: unset;
    position: fixed;
    margin: 0;
    height: 100%;
    width: 0;

    .sidebar-items-container {
      margin-right: 16px;
      margin-top: 102px;

      .sidebar-items {
        padding: 12px 0;
        font-size: 20px;
      }
    }
  }

  .sidebar-visible {
    .sidebar-container {
      border-radius: unset;
      margin: 0;
      height: 100%;
      width: 100%;

      .sidebar-items-container {
        margin-right: 17px;
        margin-top: 102px;

        .sidebar-items {
          padding: 12px 0;
          font-size: 20px;
        }
      }
    }
  }
}

// TABLET SCREEN
// Login menu tablet size style
@media (max-width: 991.98px) and (min-width: 768px) {
  .sidebar-visible .sidebar-container .sidebar-items-container .sidebar-items {
    font-size: 32px;
  }
}
